ranges::views::split_when_base_fn Struct Reference
Inheritance diagram for ranges::views::split_when_base_fn:

## Public Member Functions

CPP_TEMPLATE_AUX_0 Fun | operator() (Rng &&rng, Fun fun) const
CPP_TEMPLATE_AUX_0 predicate_pred_< Fun > | operator() (Rng &&rng, Fun fun) const
template<typename Rng , typename Fun >
CPP_TEMPLATE_AUX_0 | s (requires ` viewable_range< Rng > &&forward_range< Rng > &&invocable< Fun &, iterator_t< Rng >, sentinel_t< Rng >> &&invocable< Fun &, iterator_t< Rng >, iterator_t< Rng >> &&copy_constructible< Fun > &&convertible_to< invoke_result_t< Fun &, iterator_t< Rng >, sentinel_t< Rng >>, std::pair< bool, iterator_t< Rng >>>) sssplit_when_view< all_t< Rng >
template<typename Rng , typename Fun >
CPP_TEMPLATE_AUX_0 | s (requires ` viewable_range< Rng > &&forward_range< Rng > &&predicate< Fun const &, range_reference_t< Rng >> &&copy_constructible< Fun >) sssplit_when_view< all_t< Rng >